@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Mona+Sans:ital,wght@0,200..900;1,200..900&display=swap');

:root {
    --bs-primary: #05976A;
    --bs-secondary: #DC2625;
    --bs-light: #f4f6f9;
    --bs-dark: #272d47;
    --bs-heading-color: #272d47;
    --bs-darker: #1a1c33;
    --bs-success: #0abb75;
}

body {
    margin: 0;
    padding: 0;
    font-size: 13px;
    font-weight: 400;
    color: #3F4254;
    background-color: var(--bs-light);
    font-family: 'Inter', sans-serif;
    /* font-family: "Mona Sans", sans-serif; */
}

img,
svg {
    max-width: 100%;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* For Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
    font-family: "Mona Sans", sans-serif;
}

.btn-check:checked+.btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check)+.btn:active {
    border-color: transparent;
    box-shadow: none;
}

.btn-check:checked+.btn:focus-visible,
.btn.active:focus-visible,
.btn.show:focus-visible,
.btn:first-child:active:focus-visible,
:not(.btn-check)+.btn:active:focus-visible {
    box-shadow: none;
}

.btn {
    font-family: "Mona Sans", sans-serif;
    font-size: 0.85rem;
    font-weight: 500;
    border-radius: 0.45rem;
    padding: 0.5rem 1rem;
    letter-spacing: 0.5px;
}

.text-primary {
    color: var(--bs-primary) !important;
}

.text-secondary {
    color: var(--bs-secondary) !important;
}

.btn-primary {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
    color: var(--bs-white);
}

.btn-primary:hover {
    background-color: var(--bs-secondary);
    border-color: var(--bs-secondary);
    color: var(--bs-white);
}

.btn-outline-primary {
    --bs-btn-color: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--bs-primary);
    --bs-btn-hover-border-color: var(--bs-primary);
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--bs-primary);
    --bs-btn-active-border-color: var(--bs-primary);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--bs-primary);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--bs-primary);
    --bs-gradient: none;
}

.btn-secondary {
    background-color: var(--bs-secondary);
    border-color: var(--bs-secondary);
}

.btn-check:checked+.btn.btn-secondary,
.btn.btn-secondary.active,
.btn.btn-secondary.show,
.btn.btn-secondary:first-child:active,
:not(.btn-check)+.btn.btn-secondary:active,
.btn-secondary:hover {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
    color: var(--bs-white);
}

.text-xs {
    font-size: 12px;
}

.text-sm {
    font-size: 14px;
}

.text-normal {
    font-size: 16px;
}

.text-md {
    font-size: 18px;
}

.form-control:focus {
    color: var(--bs-gray-700);
    background-color: var(--bs-body-bg);
    border-color: #eee;
    box-shadow: none;
}

.form-control::placeholder {
    color: var(--bs-gray-500);
    font-size: 0.85rem
}

.owl-carousel .owl-nav button.owl-prev,
.owl-carousel .owl-nav button.owl-next,
.slick-arrow {
    background-color: var(--bs-primary) !important;
    color: var(--bs-white) !important;
    padding: 0;
    width: 2rem;
    height: 2rem;
    border-radius: 0.6rem;
    font-size: 1rem;
    line-height: 1;
    padding-bottom: 0.25rem !important;
    position: absolute;
    left: -0.6rem;
    top: 50%;
    transform: translateY(-50%);
    z-index: 9;
}

.owl-carousel .owl-nav button.owl-next,
.slick-arrow.slick-next {
    left: auto;
    right: -0.6rem;
}

.owl-carousel .owl-nav button.owl-prev:active,
.owl-carousel .owl-nav button.owl-prev:focus,
.owl-carousel .owl-nav button.owl-prev:hover,
.owl-carousel .owl-nav button.owl-next:active,
.owl-carousel .owl-nav button.owl-next:focus,
.owl-carousel .owl-nav button.owl-next:hover,
.slick-arrow:active,
.slick-arrow:focus,
.slick-arrow:hover {
    background-color: var(--bs-secondary) !important;
    color: var(--bs-white) !important;
}

.owl-nav button svg,
.slick-arrow svg {
    height: 9px;
    width: auto;
}

.slick-dots {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 0;
    bottom: -1.5rem;
    width: 100%;
}

.slick-dots li {
    display: inline-flex;
}

.slick-dots button {
    font-size: 0;
    border: none;
    width: 0.5rem;
    height: 0.5rem;
    background-color: var(--bs-gray-300);
    border-radius: 50%;
    margin: 0 0.2rem;
    padding: 0;
    flex-shrink: 0;
    transition: all 0.3s ease-in-out;
}

.slick-dots li.slick-active button {
    background-color: var(--bs-gray-500);
    width: 0.6rem;
    height: 0.6rem;
}

.slick-dots button:hover {
    background-color: var(--bs-gray-500);
}

.breadcrumb-item {
    font-weight: 500;
}

.breadcrumb-item.active {
    color: var(--bs-dark);
}

/* =============== Header CSS =============== */
.header {
    background-color: var(--bs-white);
    border-bottom: 1px solid var(--bs-gray-300);
    -webkit-transform: translateZ(0) translateY(0);
    -moz-transform: translateZ(0) translateY(0);
    transform: translateZ(0) translateY(0);
    background-color: var(--bs-white);
    transition: transform 0.3s ease-in-out, transform 0.3s ease-in-out, background 0.3s ease-in-out;
    -moz-transition: height 0.3s ease-in-out, -moz-transform 0.3s ease-in-out, background 0.3s ease-in-out;
    -webkit-transition: height 0.3s ease-in-out, -webkit-transform 0.3s ease-in-out, background 0.3s ease-in-out;
    -o-transition: height 0.3s ease-in-out, -o-transform 0.3s ease-in-out, background 0.3s ease-in-out;
    position: relative;
    z-index: 100;
    width: 100%;
}

.header.normal {
    -webkit-transform: translateZ(0) translateY(-100%);
    -moz-transform: translateZ(0) translateY(-100%);
    transform: translateZ(0) translateY(-100%);
}

.header.sticky {
    position: fixed;
    left: 0;
    top: 0;
    -webkit-transform: translateZ(0) translateY(0);
    -moz-transform: translateZ(0) translateY(0);
    transform: translateZ(0) translateY(0);
    box-shadow: rgba(0, 0, 0, 0.2) 0px -2px 6px;
}

.header__content {
    display: flex;
    justify-content: space-between;
}

.header__left {
    flex-shrink: 0;
    min-width: 200px;
    align-self: center;
}

.header__logo {
    display: inline-block;
    padding: 0.5rem 0;
}

.header__middle {
    flex-grow: 1;
    width: 100%;
}

.header__nav {
    font-family: "Mona Sans", sans-serif;
}

.header__nav_list {
    display: flex;
    align-items: center;
    justify-content: center;
}

.header__nav_item {
    position: relative;
    z-index: 10;
}

.header__nav_link {
    padding: 1.5rem 1rem;
    display: inline-block;
    font-size: 0.95rem;
    font-weight: 500;
}

.header__nav_item:hover .header__nav_link,
.header__nav_link:hover {
    color: var(--bs-secondary);
}

.header__nav_submenu {
    position: absolute;
    padding-top: 0.4rem;
    min-width: 13rem;
    z-index: 99;
    visibility: hidden;
    opacity: 0;
    transform: translateY(1rem);
    transition: transform 0.3s cubic-bezier(0.32, 0.6, 0, 0.73), visibility 0.2s ease, opacity 0.3s ease;
}

.header__nav_item:hover .header__nav_submenu {
    visibility: visible;
    opacity: 1;
    transform: none;
}

.submenu__list {
    background-color: var(--bs-white);
    min-width: 13rem;
    padding-block: 0.8rem;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.2);
    border-radius: 0.8rem;
}

.submenu__link {
    display: block;
    padding: 0.5rem 1.5rem;
    font-size: 0.85rem;
}

.submenu__link:hover {
    color: var(--bs-secondary);
}

.header__right {
    flex-shrink: 0;
    min-width: 200px;
    align-self: center;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.header__auth {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.header__auth_item:last-child {
    margin-left: 0.8rem;
}

/* =============== Header CSS =============== */

/* =============== Hero CSS =============== */
.hero__section {
    padding-block: 5rem;
    position: relative;
    overflow: hidden;
    background-color: var(--bs-white);
    z-index: 1;
}

.hero__section::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 80%;
    background: linear-gradient(0deg, rgb(255 255 255 / 0%) 0%, rgb(5 151 106 / 5%) 70%);
    z-index: -1;
    pointer-events: none;
}

.hero__content {
    text-align: center;
    max-width: 900px;
    margin: 0 auto;
}

.hero__title {
    font-weight: 700;
    color: var(--bs-dark);
}

.hero__subtitle {
    color: var(--bs-gray-600);
    font-weight: 500;
}

.hero__search {
    margin: 1rem auto;
    max-width: 800px;
    border-radius: 0.8rem;
    /* overflow: hidden; */
    display: flex;
    border: 2px solid var(--bs-primary);
    background-color: var(--bs-white);
}

.hero__search_input {
    flex-grow: 1;
    width: 100%;
    border-color: transparent !important;
    font-size: 1rem;
    color: var(--bs-gray-700);
    padding: 0.75rem 1.1rem 0.8rem;
    border-radius: 2rem;
}

.hero__search_btn {
    background-color: var(--bs-primary);
    color: var(--bs-white);
    border-radius: 0 0.6rem 0.6rem 0;
    padding-inline: 1.5rem;
    font-size: 1.1rem;
}

.hero__search_btn:hover {
    background-color: var(--bs-primary);
    color: var(--bs-white);
}

/* =============== Hero CSS =============== */

/* =============== Category CSS =============== */
.popular__category {
    background-color: var(--bs-light);
}

.category__carousel {
    margin: 0 -0.5rem;
}

.category__item {
    display: flex;
    padding: 1.7rem 1.5rem;
    background-color: var(--bs-white);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.08);
    margin-block: 1rem;
    border-radius: 0.8rem;
}

.category__title {
    font-weight: 500;
    font-family: inherit;
    margin-top: 0.6rem;
    color: var(--bs-dark);
}

/* =============== Category CSS =============== */

/* =============== Feature Product CSS =============== */
.product__card {
    background-color: var(--bs-white);
    border-radius: 0.6rem;
    overflow: hidden;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.08);
}

.bg-white .product__card {
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.10);
}

.product__card_image {
    position: relative;
    margin-bottom: 0;
}

.product__card_link {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 9;
}

.product__card_content {
    padding: 1.2rem 1rem;
}

.product__card_title {
    font-weight: 600;
    font-family: 'Inter', sans-serif;
}

.product__card_price {
    font-size: 0.85rem;
    color: var(--bs-gray-700);
    font-weight: 500;
}

.product__card_qty {
    color: var(--bs-gray);
    font-size: 0.76rem;
}

/* =============== Feature Product CSS =============== */

/* =============== Event CSS =============== */
.event__section {
    background: linear-gradient(90deg, rgb(11 255 180 / 5%) 30%, rgb(220 38 37 / 10%) 80%);
}

.event__card {
    display: flex;
    flex-direction: column;
    padding: 1.5rem 1.5rem;
    background-color: var(--bs-white);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.08);
    margin: 1rem 0.5rem;
    border-radius: 0.8rem;
}

.event__card_meta {
    display: flex;
    align-items: center;
}

.event__meta_icon {
    flex-shrink: 0;
    width: 2rem;
    font-size: 1.2rem;
    color: var(--bs-primary);
}

.event__meta_content {
    flex-grow: 1;
}

.event__meta_title {
    font-size: 0.9rem;
    font-weight: 600;
}

.event__card_desc {
    font-size: 0.9rem;
    color: var(--bs-dark);
    margin-block: 0.8rem;
}

.icon-link {
    font-size: 0.8rem;
    font-weight: 500;
}

.link-success {
    color: var(--bs-primary);
}

/* =============== Event CSS =============== */

/* =============== Information CSS =============== */
.information__card {
    background-color: rgb(5 151 106 / 8%);
    padding: 1.3rem;
    border-radius: 0.8rem;
    height: 100%;
}

.information__card.style-2 {
    background-color: rgb(220 38 37 / 8%);
}

.information__card_title {
    font-weight: 600;
}

.information__card_item {
    display: flex;
    align-items: center;
    margin-top: 0.7rem;
    font-weight: 500;
    font-size: 0.9rem;
    color: var(--bs-darker);
}

.information__card_item span {
    margin-right: 0.3rem;
    font-size: 1.2rem;
}

.information__desc {
    font-size: 1rem;
    font-weight: 500;
    color: var(--bs-gray);
}

/* =============== Information CSS =============== */

/* =============== Action CSS =============== */
.action__section {
    background: linear-gradient(90deg, var(--bs-primary) 0%, var(--bs-secondary) 100%);
    padding-block: 4rem;
}

.action__content {
    text-align: center;
}

.action__title {
    color: var(--bs-white);
    font-family: 'Inter', sans-serif;
}

.action__subtitle {
    color: var(--bs-white);
    font-weight: 500;
    font-size: 0.92rem;
    font-family: 'Inter', sans-serif;
}

.action__buttons {
    display: flex;
    justify-content: center;
    gap: 0.8rem;
}

.action__btn {
    background-color: var(--bs-white);
    color: var(--bs-primary);
    font-weight: 600;
    font-size: 0.8rem;
    font-family: 'Inter', sans-serif;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.08);
    padding: 0.65rem 1.3rem;
}

.action__btn:hover {
    background-color: var(--bs-white);
    color: var(--bs-secondary);
}

.action__btn.style-2 {
    color: var(--bs-secondary);
}

.action__btn.style-2:hover {
    color: var(--bs-primary);
}

/* =============== Action CSS =============== */

/* =============== Region CSS =============== */
.region__card {
    position: relative;
    border-radius: 0.6rem;
    overflow: hidden;
    margin: 0.5rem;
    z-index: 10;
}

.region__image {
    margin-bottom: 0;
    position: relative;
}

.region__image::after {
    content: '';
    position: absolute;
    inset: 0;
    height: 100%;
    width: 100%;
    background: linear-gradient(0deg, rgb(11 255 180 / 5%) 30%, rgb(0 0 0 / 50%) 80%);
    z-index: 1;
}

.region__image {
    object-fit: cover;
}

.region__link {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
}

.region__title {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 3;
    color: var(--bs-white);
    font-weight: 500;
}

/* =============== Region CSS =============== */

/* =============== Footer CSS =============== */
.footer {
    background-color: var(--bs-dark);
    color: var(--bs-white);
}

.footer__top {
    padding-top: 3rem;
    padding-bottom: 2rem;
}

.footer__title {
    color: var(--bs-white);
    font-family: 'Inter', sans-serif;
    font-weight: 600;
}

.footer__link {
    display: inline-block;
    padding: 0.25rem 0;
}

.footer__social {
    display: flex;
    align-items: center;
}

.footer__social_item {
    margin-right: 0.9rem;
}

.footer__social_link {
    font-size: 1.4rem;
}

.footer__bottom {
    border-top: 1px solid rgb(255 255 255 / 10%);
    padding-block: 1rem;
}

.footer__copyright {
    text-align: center;
}

/* =============== Footer CSS =============== */

/* ========== Mobile Menu CSS ========== */
.nav-toggler {
    min-width: 30px;
    padding: 0 !important;
    height: 30px;
    display: grid;
    place-items: center;
    position: relative;
    z-index: 99;
    color: var(--bs-primary);
}

.close-icon {
    display: block;
    width: 16px;
    position: relative;
}

.close-icon:before,
.close-icon:after {
    background-color: var(--bs-gray);
    display: block;
    width: 100%;
    height: 2px;
    position: absolute;
    left: 0;
    right: 0;
    content: "";
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.close-icon:before {
    transform: rotate(45deg);
}

.close-icon:after {
    transform: rotate(-45deg);
}

.mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    transform: translateX(-100%);
    width: 100%;
    max-width: 400px;
    background-color: var(--bs-white);
    z-index: 9999;
    height: 100%;
    transition: all 0.2s ease-in-out;
    display: flex;
    flex-direction: column;
}

.mobile-menu.open-menu {
    transform: translateX(0);
}

.mobile-menu-header {
    display: flex;
    align-items: center;
    padding: 10px 20px;
    justify-content: space-between;
    border-bottom: 1px solid #ddd;
    background-color: var(--bs-gray-200);
    height: 60px;
    flex-shrink: 0;
}

.mobile-menu-body {
    flex-grow: 1;
    overflow: auto;
}

.mobile-menu-footer {
    background-color: var(--bs-gray-200);
    padding: 1rem 1.3rem;
    flex-shrink: 0;
}

.account-link {
    display: inline-flex;
    padding: 8px 0;
    color: var(--bs-black);
    align-items: center;
    gap: 8px;
    font-size: 15px;
}

.close-menu {
    padding: 6px;
    display: grid;
    place-items: center;
    position: absolute;
    z-index: 99999;
    right: 0;
    top: 0;
    height: 60px;
    width: 50px;
}

.list-item {
    border-bottom: 1px solid #eee;
    position: relative;
}

.nav__cat-par {
    display: block;
    padding: 13px 0 13px 15px;
}

.list-item h6 {
    padding: 13px 0 13px 15px;
    font-size: 14px;
    font-weight: 500;
    background-color: #f3f6f7;
    line-height: 1;
}

.nav__cats .list-item .nav__parent>span {
    margin-left: 12px;
}

.submenu_toggler {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    font-size: 12px;
    color: var(--bs-gray);
    width: 46px;
    display: grid;
    place-items: center;
    height: 100%;
    cursor: pointer;
    border-left: 1px solid #eee;
}

.submenu_toggler::before {
    content: '\f054';
    font-family: 'Font Awesome 5 Pro';
    font-weight: 600;
}

.item-submenu {
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    height: 100vh;
    background-color: var(--bs-white);
    z-index: 10000;
    -webkit-transition: transform 0.4s ease;
    -moz-transition: transform 0.4s ease;
    -ms-transition: transform 0.4s ease;
    -o-transition: transform 0.4s ease;
    transition: transform 0.4s ease;
    -webkit-transform: translateX(-100%);
    -moz-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
    width: 100%;
    display: flex;
    flex-direction: column;
}

.list-item.open>.item-submenu {
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
}

.menu-heading {
    color: var(--bs-gray-800);
    text-align: center;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 500;
}

.submenu_collapse {
    position: absolute;
    left: 0;
    top: 0;
    width: 50px;
    height: 100%;
    border-right: 1px solid #ddd;
    display: grid;
    place-items: center;
    cursor: pointer;
    color: var(--bs-gray);
    font-size: 14px;
}

.submenu_collapse::before {
    content: '\f053';
    font-family: 'Font Awesome 5 Pro';
}

.menu-heading-list {
    padding: 5px;
    border-bottom: 1px solid #ddd;
    background-color: var(--bs-light);
    position: relative;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}

.link-list {
    flex: 0 0 auto;
    height: calc(100% - 50px);
    overflow: auto;
}

.menu-link,
.menu-link:hover,
.menu-link:focus {
    display: block;
    color: var(--bs-gray-800);
    padding: 10px 15px;
    font-size: 13px;
}

.list-social {
    display: flex;
    align-items: center;
}

.list-social svg {
    height: 1.3rem;
}

.list-social__item {
    display: inline-flex;
}

.list-social__link {
    display: inline-flex;
    margin: 0 0.5rem;
}

/* ========== Mobile Menu CSS ========== */


/* ========== Single Product CSS ========== */
.thumb__images {
    background-color: var(--bs-white);
    outline: 2px solid var(--bs-gray-300);
    border-radius: 0.6rem;
    overflow: hidden;
    margin: 0.2rem;
}

.indicator__image {
    margin-block: 0.5rem;
    outline: 2px solid var(--bs-gray-300);
    border-radius: 0.5rem;
    overflow: hidden;
}

.product__rating {
    display: flex;
    align-items: center;
    height: 20px;
    flex-shrink: 0;
}

.product__rating .single-star {
    position: relative;
    display: flex;
    width: 20px;
    height: 20px;
    align-items: center;
    line-height: 1;
}

.product__rating .single-star i {
    color: #c9c9c9;
    font-size: 13px;
    line-height: 1;
}

.product__rating .single-star i+i {
    color: #e88843;
}

.products-area .single-product .contents {
    text-align: center;
    padding-top: 15px;
    margin-top: 2px;
    border-top: 1px solid #c9c9c9;
}

.product__review {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.review_count {
    flex-shrink: 0;
    margin-left: 0.5rem;
    color: var(--bs-gray-600);
    font-family: 'Mona Sans', sans-serif;
    font-weight: 500;
}

.product__price {
    display: flex;
    align-items: flex-end;
    font-family: 'Mona Sans', sans-serif;
    margin-block: 1rem 2rem;
}

.sale__price {
    margin-right: 0.5rem;
    font-size: 1.2rem;
    color: var(--bs-primary);
    font-weight: 700;
}

.regular__price {
    color: var(--bs-gray);
    font-size: 0.9rem;
    font-weight: 600;
}

.attribute__wrapper {
    display: flex;
    margin-top: 1rem;
    align-items: center;
}

.attribute__label {
    margin-right: 0.8rem;
    min-width: 3rem;
    font-size: 0.9rem;
    font-weight: 500;
    color: var(--bs-gray-700);
}

.product__attributes {
    display: flex;
    align-items: center;
}

.color__item {
    position: relative;
    width: 1.8rem;
    height: 1.8rem;
    border-radius: 50%;
    overflow: hidden;
    margin-right: 0.5rem;
    cursor: pointer;
}

.color__input {
    position: absolute;
    visibility: hidden;
}

.color__item:has(.color__input:checked) {
    outline: 2px solid var(--bs-danger-border-subtle);
}

.quantity {
    color: var(--bs-black);
    position: relative;
    width: 140px;
    display: flex;
    min-height: 30px;
    border-radius: 0.4rem;
    background-color: var(--bs-white);
    outline: 1px solid var(--bs-gray-400);
}

.cart_quantity__button,
.quantity__button {
    width: 40px;
    flex-shrink: 0;
    font-size: 14px;
    border: 0;
    background-color: transparent;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--bs-black);
    padding: 0;
}

.cart_quantity__button svg,
.quantity__button svg {
    width: 0.7rem;
    pointer-events: none;
}

.quantity__input {
    text-align: center;
    border-radius: 0;
    margin: -1px;
}

.product__action {
    display: flex;
    align-items: center;
    max-width: 450px;
    gap: 0.6rem;
    margin-block: 2rem;
}

.product__action button {
    flex-grow: 1;
    width: 50%;
    padding: 0.7rem;
}

.product__seller {
    display: flex;
    background-color: var(--bs-white);
    border: 1px solid var(--bs-gray-100);
    border-radius: 0.6rem;
    overflow: hidden;
    padding: 0.8rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.08);
}

.seller__image {
    flex-shrink: 0;
    width: 60px;
    border-radius: 0.3rem;
    overflow: hidden;
    margin-right: 1rem;
}

.seller__info {
    flex-grow: 1;
    width: 100%;
    display: flex;
    align-items: center;
}

.seller__info_left {
    margin-right: 2rem;
}

.seller__name {
    color: var(--bs-dark);
    font-weight: 600;
}

.seller__badge {
    color: var(--bs-gray-700);
    font-weight: 600;
    display: flex;
    align-items: center;
}

.seller__badge svg {
    color: var(--bs-green);
    margin-right: 0.2rem;
}

.shipping__info_item {
    display: flex;
    align-items: center;
}

.info__icon {
    flex-shrink: 0;
    color: var(--bs-primary);
    margin-right: 0.7rem;
    width: 2rem;
    text-align: right;
}

.info__text {
    flex-grow: 1;
    width: 100%;
}

.info__text h6 {
    color: var(--bs-dark);
    font-weight: 600;
    font-family: 'Inter', sans-serif;
}

.info__text p {
    font-weight: 500;
    color: var(--bs-gray-600);
}

/* ========== Single Product CSS ========== */